# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/monitoring/v3/metric_service.proto for package 'google.monitoring.v3'
# Original file comments:
# Copyright 2016 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/monitoring/v3/metric_service_pb'

module Google
  module Monitoring
    module V3
      module MetricService
        # Manages metric descriptors, monitored resource descriptors, and
        # time series data.
        class Service

          include GRPC::GenericService

          self.marshal_class_method = :encode
          self.unmarshal_class_method = :decode
          self.service_name = 'google.monitoring.v3.MetricService'

          # Lists monitored resource descriptors that match a filter. This method does not require a Stackdriver account.
          rpc :ListMonitoredResourceDescriptors, ListMonitoredResourceDescriptorsRequest, ListMonitoredResourceDescriptorsResponse
          # Gets a single monitored resource descriptor. This method does not require a Stackdriver account.
          rpc :GetMonitoredResourceDescriptor, GetMonitoredResourceDescriptorRequest, Google::Api::MonitoredResourceDescriptor
          # Lists metric descriptors that match a filter. This method does not require a Stackdriver account.
          rpc :ListMetricDescriptors, ListMetricDescriptorsRequest, ListMetricDescriptorsResponse
          # Gets a single metric descriptor. This method does not require a Stackdriver account.
          rpc :GetMetricDescriptor, GetMetricDescriptorRequest, Google::Api::MetricDescriptor
          # Creates a new metric descriptor.
          # User-created metric descriptors define
          # [custom metrics](/monitoring/custom-metrics).
          rpc :CreateMetricDescriptor, CreateMetricDescriptorRequest, Google::Api::MetricDescriptor
          # Deletes a metric descriptor. Only user-created
          # [custom metrics](/monitoring/custom-metrics) can be deleted.
          rpc :DeleteMetricDescriptor, DeleteMetricDescriptorRequest, Google::Protobuf::Empty
          # Lists time series that match a filter. This method does not require a Stackdriver account.
          rpc :ListTimeSeries, ListTimeSeriesRequest, ListTimeSeriesResponse
          # Creates or adds data to one or more time series.
          # The response is empty if all time series in the request were written.
          # If any time series could not be written, a corresponding failure message is
          # included in the error response.
          rpc :CreateTimeSeries, CreateTimeSeriesRequest, Google::Protobuf::Empty
        end

        Stub = Service.rpc_stub_class
      end
    end
  end
end
